package domain


type AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest struct {
    /*
        活动id     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        外部活动id（商家自定义）     */
    OutActId  *string `json:"out_act_id,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动创建者ID     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        活动创建者name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        活动描述     */
    Description  *string `json:"description,omitempty" `

    /*
        活动终端：1-APP，2-POS     */
    Terminals  *[]int32 `json:"terminals,omitempty" `

    /*
        活动生效的经营店ID列表     */
    StoreIds  *[]int32 `json:"store_ids,omitempty" `

    /*
        活动开始时间     */
    StartTime  *int64 `json:"start_time,omitempty" `

    /*
        活动结束时间     */
    EndTime  *int64 `json:"end_time,omitempty" `

    /*
        活动人群编码，NEW_USER：新用户，OLD_USER：老用户，LIGHT_NEW_USER：闪购新客，MERCHANT_NEW_USER：商家新用户，MERCHANT_OLD_USER：商家老用户     */
    MemberCrowdCode  *[]string `json:"member_crowd_code,omitempty" `

    /*
        生效渠道，枚举： 2 美团 3 饿了么 26 京东到家 31 翱象淘鲜达     */
    Channels  *[]string `json:"channels,omitempty" `

    /*
        特价类型，1-减钱，2-一口价，3-打折     */
    DiscountType  *int64 `json:"discount_type,omitempty" `

    /*
        扩展信息，json串     */
    Attributes  *string `json:"attributes,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetActId(v int64) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.OutActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetActivityName(v string) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.ActivityName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetDescription(v string) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.Description = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetTerminals(v []int32) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.Terminals = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetStoreIds(v []int32) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.StoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetStartTime(v int64) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.StartTime = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetEndTime(v int64) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.EndTime = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetMemberCrowdCode(v []string) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.MemberCrowdCode = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetChannels(v []string) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.Channels = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetDiscountType(v int64) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.DiscountType = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) SetAttributes(v string) *AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest {
    s.Attributes = &v
    return s
}
